--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/comm/action/card.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/comm/action/card.php	2025-05-26 12:57:19.098506000 +0000
@@ -1553,20 +1704,20 @@
 
 	// Location
 	if (!getDolGlobalString('AGENDA_DISABLE_LOCATION')) {
-		print '<tr><td>'.$langs->trans("Location").'</td><td><input type="text" name="location" class="minwidth300 maxwidth150onsmartphone" value="'.(GETPOST('location') ? GETPOST('location') : $object->location).'"></td></tr>';
+		print '<tr><td>' . $langs->trans("Location") . '</td><td><input type="text" name="location" class="minwidth300 maxwidth150onsmartphone" value="' . (GETPOST('location') ? GETPOST('location') : $object->location) . '"></td></tr>';
 	}
 
 	if (isModEnabled('category')) {
 		// Categories
-		print '<tr><td>'.$langs->trans("Categories").'</td><td>';
+		print '<tr><td>' . $langs->trans("Categories") . '</td><td>';
 		$cate_arbo = $form->select_all_categories(Categorie::TYPE_ACTIONCOMM, '', 'parent', 64, 0, 3);
-		print img_picto('', 'category').$form->multiselectarray('categories', $cate_arbo, GETPOST('categories', 'array'), 0, 0, 'minwidth300 quatrevingtpercent widthcentpercentminusx', 0, 0);
+		print img_picto('', 'category') . $form->multiselectarray('categories', $cate_arbo, GETPOST('categories', 'array'), 0, 0, 'minwidth300 quatrevingtpercent widthcentpercentminusx', 0, 0);
 		print "</td></tr>";
 	}
 
 	if (isModEnabled('resource')) {
 		// Categories
-		print '<tr><td class="tdtop nowrap">'.$langs->trans("Resource").'</td><td>';
+		print '<tr><td class="tdtop nowrap">' . $langs->trans("Resource") . '</td><td>';
 
 		$listofresourceid = array();
 		if (empty($donotclearsession)) {
@@ -1594,7 +1745,7 @@
 	}
 
 	// Status
-	print '<tr><td>'.$langs->trans("Status").' / '.$langs->trans("Percentage").'</td>';
+	print '<tr><td>' . $langs->trans("Status") . ' / ' . $langs->trans("Percentage") . '</td>';
 	print '<td>';
 	$percent = $complete !== '' ? $complete : -1;
 	if (GETPOSTISSET('status')) {
@@ -1621,26 +1772,26 @@
 
 	if (isModEnabled("societe")) {
 		// Related company
-		print '<tr><td class="titlefieldcreate nowrap">'.$langs->trans("ActionOnCompany").'</td><td>';
+		print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("ActionOnCompany") . '</td><td>';
 		if (GETPOSTINT('socid') > 0) {
 			$societe = new Societe($db);
 			$societe->fetch(GETPOSTINT('socid'));
 			print $societe->getNomUrl(1);
-			print '<input type="hidden" id="socid" name="socid" value="'.GETPOSTINT('socid').'">';
+			print '<input type="hidden" id="socid" name="socid" value="' . GETPOSTINT('socid') . '">';
 		} else {
 			$events = array();
-			$events[] = array('method' => 'getContacts', 'url' => dol_buildpath('/core/ajax/contacts.php?showempty=1&token='.currentToken(), 1), 'htmlname' => 'contactid', 'params' => array('add-customer-contact' => 'disabled'));
+			$events[] = array('method' => 'getContacts', 'url' => dol_buildpath('/core/ajax/contacts.php?showempty=1&token=' . currentToken(), 1), 'htmlname' => 'contactid', 'params' => array('add-customer-contact' => 'disabled'));
 			//For external user force the company to user company
 			if (!empty($user->socid)) {
-				print img_picto('', 'company', 'class="paddingrightonly"').$form->select_company($user->socid, 'socid', '', 1, 1, 0, $events, 0, 'minwidth300 widthcentpercentminusxx maxwidth500');
+				print img_picto('', 'company', 'class="paddingrightonly"') . $form->select_company($user->socid, 'socid', '', 1, 1, 0, $events, 0, 'minwidth300 widthcentpercentminusxx maxwidth500');
 			} else {
-				print img_picto('', 'company', 'class="paddingrightonly"').$form->select_company('', 'socid', '', $langs->trans('SelectThirdParty'), 1, 0, $events, 0, 'minwidth300 widthcentpercentminusxx maxwidth500');
+				print img_picto('', 'company', 'class="paddingrightonly"') . $form->select_company('', 'socid', '', $langs->trans('SelectThirdParty'), 1, 0, $events, 0, 'minwidth300 widthcentpercentminusxx maxwidth500');
 			}
 		}
 		print '</td></tr>';
 
 		// Related contact
-		print '<tr><td class="nowrap">'.$langs->trans("ActionOnContact").'</td><td>';
+		print '<tr><td class="nowrap">' . $langs->trans("ActionOnContact") . '</td><td>';
 		$preselectedids = GETPOST('socpeopleassigned', 'array:int');
 		if (GETPOSTINT('contactid')) {
 			$preselectedids[GETPOSTINT('contactid')] = GETPOSTINT('contactid');
@@ -1680,20 +1831,20 @@
 
 		$projectid = GETPOSTINT('projectid');
 
-		print '<tr><td class="titlefieldcreate">'.$langs->trans("Project").'</td><td id="project-input-container">';
+		print '<tr><td class="titlefieldcreate">' . $langs->trans("Project") . '</td><td id="project-input-container">';
 		print img_picto('', 'project', 'class="pictofixedwidth"');
 		print $formproject->select_projects(($object->socid > 0 ? $object->socid : -1), $projectid, 'projectid', 0, 0, 1, 1, 0, 0, 0, '', 1, 0, 'maxwidth500 widthcentpercentminusxx maxwidth500');
 
-		print '&nbsp;<a href="'.DOL_URL_ROOT.'/projet/card.php?socid='.(empty($societe->id) ? '' : $societe->id).'&action=create&backtopage='.urlencode($_SERVER["PHP_SELF"].'?action=create').'">';
-		print '<span class="fa fa-plus-circle valignmiddle paddingleft" title="'.$langs->trans("AddProject").'"></span></a>';
+		print '&nbsp;<a href="' . DOL_URL_ROOT . '/projet/card.php?socid=' . (empty($societe->id) ? '' : $societe->id) . '&action=create&backtopage=' . urlencode($_SERVER["PHP_SELF"] . '?action=create') . '">';
+		print '<span class="fa fa-plus-circle valignmiddle paddingleft" title="' . $langs->trans("AddProject") . '"></span></a>';
 		$urloption = '?action=create&donotclearsession=1';
-		$url = dol_buildpath('comm/action/card.php', 2).$urloption;
+		$url = dol_buildpath('comm/action/card.php', 2) . $urloption;
 
 		// update task list
-		print "\n".'<script type="text/javascript">';
+		print "\n" . '<script type="text/javascript">';
 		print '$(document).ready(function () {
 	               $("#projectid").change(function () {
-                        var url = "'.DOL_URL_ROOT.'/projet/ajax/projects.php?mode=gettasks&socid="+$("#search_socid").val()+"&projectid="+$("#projectid").val();
+                        var url = "' . DOL_URL_ROOT . '/projet/ajax/projects.php?mode=gettasks&socid="+$("#search_socid").val()+"&projectid="+$("#projectid").val();
 						console.log("Call url to get new list of tasks: "+url);
                         $.get(url, function(data) {
                             console.log(data);
@@ -1701,12 +1852,12 @@
                         })
                   });
                })';
-		print '</script>'."\n";
+		print '</script>' . "\n";
 
 		print '</td></tr>';
 
 		// Task
-		print '<tr><td class="titlefieldcreate">'.$langs->trans("Task").'</td><td id="project-task-input-container" >';
+		print '<tr><td class="titlefieldcreate">' . $langs->trans("Task") . '</td><td id="project-task-input-container" >';
 		print img_picto('', 'projecttask', 'class="paddingrightonly"');
 		$projectsListId = false;
 		if (!empty($projectid)) {
@@ -1721,7 +1872,7 @@
 
 	// Object linked
 	if (!empty($origin) && !empty($originid)) {
-		include_once DOL_DOCUMENT_ROOT.'/core/lib/functions2.lib.php';
+		include_once DOL_DOCUMENT_ROOT . '/core/lib/functions2.lib.php';
 
 		$hasPermissionOnLinkedObject = 0;
 
@@ -1733,16 +1884,16 @@
 
 		if (! in_array($origin, array('societe', 'project', 'task', 'user'))) {
 			// We do not use link for object that already contains a hard coded field to make links with agenda events
-			print '<tr><td class="titlefieldcreate">'.$langs->trans("LinkedObject").'</td>';
+			print '<tr><td class="titlefieldcreate">' . $langs->trans("LinkedObject") . '</td>';
 			print '<td colspan="3">';
 			if ($hasPermissionOnLinkedObject) {
 				print dolGetElementUrl($originid, $origin, 1);
-				print '<input type="hidden" name="fk_element" value="'.$originid.'">';
-				print '<input type="hidden" name="elementtype" value="'.$origin.'">';
-				print '<input type="hidden" name="originid" value="'.$originid.'">';
-				print '<input type="hidden" name="origin" value="'.$origin.'">';
+				print '<input type="hidden" name="fk_element" value="' . $originid . '">';
+				print '<input type="hidden" name="elementtype" value="' . $origin . '">';
+				print '<input type="hidden" name="originid" value="' . $originid . '">';
+				print '<input type="hidden" name="origin" value="' . $origin . '">';
 			} else {
-				print '<!-- no permission on object to link '.$origin.' id '.$originid.' -->';
+				print '<!-- no permission on object to link ' . $origin . ' id ' . $originid . ' -->';
 			}
 			print '</td></tr>';
 		}
@@ -1750,14 +1901,14 @@
 
 	// Priority
 	if (getDolGlobalString('AGENDA_SUPPORT_PRIORITY_IN_EVENTS')) {
-		print '<tr><td class="titlefieldcreate nowrap">'.$langs->trans("Priority").'</td><td colspan="3">';
-		print '<input type="text" name="priority" value="'.(GETPOSTISSET('priority') ? GETPOSTINT('priority') : ($object->priority ? $object->priority : '')).'" size="5">';
+		print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("Priority") . '</td><td colspan="3">';
+		print '<input type="text" name="priority" value="' . (GETPOSTISSET('priority') ? GETPOSTINT('priority') : ($object->priority ? $object->priority : '')) . '" size="5">';
 		print '</td></tr>';
 	}
 
 	// Description
-	print '<tr><td class="tdtop">'.$langs->trans("Description").'</td><td>';
-	require_once DOL_DOCUMENT_ROOT.'/core/class/doleditor.class.php';
+	print '<tr><td class="tdtop">' . $langs->trans("Description") . '</td><td>';
+	require_once DOL_DOCUMENT_ROOT . '/core/class/doleditor.class.php';
 	$doleditor = new DolEditor('note', (GETPOSTISSET('note') ? GETPOST('note', 'restricthtml') : $object->note_private), '', 120, 'dolibarr_notes', 'In', true, true, isModEnabled('fckeditor'), ROWS_4, '90%');
 	$doleditor->Create();
 	print '</td></tr>';
@@ -1777,31 +1928,60 @@
 		//checkbox create reminder
 		print '<hr>';
 		print '<br>';
-		print '<label for="addreminder">'.img_picto('', 'bell', 'class="pictofixedwidth"').$langs->trans("AddReminder").'</label> <input type="checkbox" id="addreminder" name="addreminder"><br><br>';
+		print '<label for="addreminder">' . img_picto('', 'bell', 'class="pictofixedwidth"') . $langs->trans("AddReminder") . '</label> <input type="checkbox" id="addreminder" name="addreminder"><br><br>';
 
 		print '<div class="reminderparameters" style="display: none;">';
 
 		print '<table class="border centpercent">';
 
 		//Reminder
-		print '<tr><td class="titlefieldcreate nowrap">'.$langs->trans("ReminderTime").'</td><td colspan="3">';
-		print '<input class="width50" type="number" name="offsetvalue" value="'.(GETPOSTISSET('offsetvalue') ? GETPOSTINT('offsetvalue') : getDolGlobalInt('AGENDA_REMINDER_DEFAULT_OFFSET', 30)).'"> ';
+		print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("ReminderTime") . '</td><td colspan="3">';
+		print '<input class="width50" type="number" name="offsetvalue" value="' . (GETPOSTISSET('offsetvalue') ? GETPOSTINT('offsetvalue') : getDolGlobalInt('AGENDA_REMINDER_DEFAULT_OFFSET', 30)) . '"> ';
 		print $form->selectTypeDuration('offsetunit', 'i', array('y', 'm'));
 		print '</td></tr>';
 
 		//Reminder Type
-		print '<tr><td class="titlefieldcreate nowrap">'.$langs->trans("ReminderType").'</td><td colspan="3">';
+		print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("ReminderType") . '</td><td colspan="3">';
 		print $form->selectarray('selectremindertype', $TRemindTypes, '', 0, 0, 0, '', 0, 0, 0, '', 'minwidth200 maxwidth500', 1);
 		print '</td></tr>';
 
 		//Mail Model
 		if (getDolGlobalString('AGENDA_REMINDER_EMAIL')) {
-			print '<tr><td class="titlefieldcreate nowrap">'.$langs->trans("EMailTemplates").'</td><td colspan="3">';
+			print '<tr><td class="titlefieldcreate nowrap">' . $langs->trans("EMailTemplates") . '</td><td colspan="3">';
 			print $form->selectModelMail('actioncommsend', 'actioncomm_send', 1, 1);
 			print '</td></tr>';
 		}
 
 		print '</table>';
+
+		print '<div class="reminder-list" data-has-reminders="' . (count($reminders) > 0 ? '1' : '0') . '" style="' . (count($reminders) == 0 ? 'display:none;' : '') . '">';
+
+		if (count($reminders) > 0) {
+			print '<br>';
+			print '<h3>' . $langs->trans("ExistingReminders") . '</h3>';
+			print '<table class="noborder centpercent">';
+			print '<tr class="liste_titre">';
+			print '<td>' . $langs->trans("ReminderType") . '</td>';
+			print '<td>' . $langs->trans("ReminderDelay") . '</td>';
+			print '<td></td>';
+			print '</tr>';
+
+			foreach ($reminders as $reminder) {
+				print '<tr>';
+				print '<td>' . $reminder->typeremind . '</td>';
+				print '<td>' . $reminder->offsetvalue . ' ' . $reminder->offsetunit . '</td>';
+				print '<td>';
+				print '<a class="button" href="' . $_SERVER["PHP_SELF"] . '?id=' . $actioncomm->id . '&reminderid=' . $reminder->id . '&action=editreminder">' . $langs->trans("Modify") . '</a> ';
+				print '<a class="button" href="' . $_SERVER["PHP_SELF"] . '?id=' . $actioncomm->id . '&reminderid=' . $reminder->id . '&action=deletereminder">' . $langs->trans("Delete") . '</a>';
+				print '</td>';
+				print '</tr>';
+			}
+
+			print '</table>';
+			print '</div>';
+		}
+
+
 		print '</div>';
 
 		$reminderDefaultEventTypes = getDolGlobalString('AGENDA_DEFAULT_REMINDER_EVENT_TYPES', '');
@@ -1809,9 +1989,29 @@
 		$reminderDefaultUnit = getDolGlobalString('AGENDA_DEFAULT_REMINDER_OFFSET_UNIT');
 		$reminderDefaultEmailModel = getDolGlobalInt('AGENDA_DEFAULT_REMINDER_EMAIL_MODEL');
 
-		print "\n".'<script type="text/javascript">';
+		print "\n" . '<script type="text/javascript">';
 		print '$(document).ready(function () {
-				const reminderDefaultEventTypes = \''.dol_escape_js($reminderDefaultEventTypes).'\';
+		
+				const reminderDefaultEventTypes = \'' . dol_escape_js($reminderDefaultEventTypes) . '\';
+
+				   // Gérer la visibilité au clic sur la checkbox
+    $("#addreminder").click(function () {
+        if (this.checked) {
+            $(".reminderparameters").show();
+            $(".reminder-list").show();
+        } else {
+            $(".reminderparameters").hide();
+            if ($(".reminder-list").data("has-reminders") != "1") {
+                $(".reminder-list").hide();
+            }
+        }
+
+        $("#selectremindertype").select2("destroy").select2();
+        $("#select_offsetunittype_duration").select2("destroy").select2();
+        selectremindertype();
+    });
+	
+				
 				$("#actioncode").change(function(){
 					var selected_event_type = $("#actioncode option:selected").val();
 
@@ -1822,7 +2022,7 @@
 						// Set period with default reminder period
 						$("[name=\"offsetvalue\"]").val(\'' . dol_escape_js((string) $reminderDefaultOffset) . '\');
 						$("#select_offsetunittype_duration").select2("destroy");
-						$("#select_offsetunittype_duration").val(\''.dol_escape_js($reminderDefaultUnit).'\');
+						$("#select_offsetunittype_duration").val(\'' . dol_escape_js($reminderDefaultUnit) . '\');
 						$("#select_offsetunittype_duration").select2();
 
 						$("#selectremindertype").select2("destroy");
@@ -1832,45 +2032,32 @@
 						// Set default reminder mail model
 						$("#select_actioncommsendmodel_mail").closest("tr").show();
 						$("#select_actioncommsendmodel_mail").select2("destroy");
-						$("#select_actioncommsendmodel_mail").val(\''.dol_escape_js((string) $reminderDefaultEmailModel).'\');
+						$("#select_actioncommsendmodel_mail").val(\'' . dol_escape_js((string) $reminderDefaultEmailModel) . '\');
 						$("#select_actioncommsendmodel_mail").select2();
 					}
 				});
-		   })';
-		print '</script>'."\n";
-
-		print "\n".'<script type="text/javascript">';
-		print '$(document).ready(function () {
-	            		$("#addreminder").click(function(){
-							console.log("Click on addreminder");
-	            		    if (this.checked) {
-	            		    	$(".reminderparameters").show();
-                            } else {
-                            	$(".reminderparameters").hide();
-                            }
-							$("#selectremindertype").select2("destroy");
-							$("#selectremindertype").select2();
-							$("#select_offsetunittype_duration").select2("destroy");
-							$("#select_offsetunittype_duration").select2();
-							selectremindertype();
-	            		 });
 
-	            		$("#selectremindertype").change(function(){
-							selectremindertype();
-	            		});
+				$("#selectremindertype").change(function () {
+        selectremindertype();
+    });
+
+	  function selectremindertype() {
+        var selected_option = $("#selectremindertype option:selected").val();
+        if (selected_option === "email") {
+            $("#select_actioncommsendmodel_mail").closest("tr").show();
+        } else {
+            $("#select_actioncommsendmodel_mail").closest("tr").hide();
+        }
+    }
+
+    // Au chargement, cacher la liste si nécessaire
+    if (!$("#addreminder").is(":checked") && $(".reminder-list").data("has-reminders") != "1") {
+        $(".reminder-list").hide();
+    }
 
-						function selectremindertype() {
-							console.log("Call selectremindertype");
-	            	        var selected_option = $("#selectremindertype option:selected").val();
-	            		    if(selected_option == "email") {
-	            		        $("#select_actioncommsendmodel_mail").closest("tr").show();
-	            		    } else {
-	            			    $("#select_actioncommsendmodel_mail").closest("tr").hide();
-	            		    }
-						}
 
-                   })';
-		print '</script>'."\n";
+		   })';
+		print '</script>' . "\n";
 	}
 
 	print dol_get_fiche_end();
@@ -1951,14 +2138,14 @@
 
 	// Confirmation suppression action
 	if ($action == 'delete') {
-		print $form->formconfirm("card.php?id=".urlencode((string) ($id)), $langs->trans("DeleteAction"), $langs->trans("ConfirmDeleteAction"), "confirm_delete", '', '', 1);
+		print $form->formconfirm("card.php?id=" . urlencode((string) ($id)), $langs->trans("DeleteAction"), $langs->trans("ConfirmDeleteAction"), "confirm_delete", '', '', 1);
 	}
 
 	if ($action == 'edit') {
 		$caneditdateorowner = ($object->type != 'systemauto');
 
 		if (!empty($conf->use_javascript_ajax)) {
-			print "\n".'<script type="text/javascript">';
+			print "\n" . '<script type="text/javascript">';
 			print '$(document).ready(function () {
 	            		function setdatefields()
 	            		{
@@ -1975,7 +2162,7 @@
 	            			}
 	            		}
 
-						'.($caneditdateorowner ? ' setdatefields();' : '').'
+						' . ($caneditdateorowner ? ' setdatefields();' : '') . '
 
 	            		$("#fullday").change(function() {
 	            			setdatefields();
@@ -2008,20 +2195,20 @@
                         	else $("#dateend").removeClass("fieldrequired");
                     	});
                    })';
-			print '</script>'."\n";
+			print '</script>' . "\n";
 		}
 
-		print '<form name="formaction" action="'.$_SERVER['PHP_SELF'].'" method="POST">';
-		print '<input type="hidden" name="token" value="'.newToken().'">';
+		print '<form name="formaction" action="' . $_SERVER['PHP_SELF'] . '" method="POST">';
+		print '<input type="hidden" name="token" value="' . newToken() . '">';
 		print '<input type="hidden" name="action" value="update">';
-		print '<input type="hidden" name="id" value="'.$id.'">';
-		print '<input type="hidden" name="ref_ext" value="'.$object->ref_ext.'">';
+		print '<input type="hidden" name="id" value="' . $id . '">';
+		print '<input type="hidden" name="ref_ext" value="' . $object->ref_ext . '">';
 		print '<input type="hidden" name="page_y" value="">';
 		if ($backtopage) {
-			print '<input type="hidden" name="backtopage" value="'.($backtopage != '1' ? $backtopage : '').'">';
+			print '<input type="hidden" name="backtopage" value="' . ($backtopage != '1' ? $backtopage : '') . '">';
 		}
 		if (!getDolGlobalString('AGENDA_USE_EVENT_TYPE') && ! preg_match('/^TICKET_MSG_PRIVATE/', $object->code)) {
-			print '<input type="hidden" name="actioncode" value="'.$object->type_code.'">';
+			print '<input type="hidden" name="actioncode" value="' . $object->type_code . '">';
 		}
 
 		print dol_get_fiche_head($head, 'card', $langs->trans("Action"), 0, 'action');
@@ -2029,36 +2216,36 @@
 		print '<table class="border tableforfield" width="100%">';
 
 		// Ref
-		print '<tr><td class="titlefieldcreate">'.$langs->trans("Ref").'</td><td colspan="3">'.$object->id.'</td></tr>';
+		print '<tr><td class="titlefieldcreate">' . $langs->trans("Ref") . '</td><td colspan="3">' . $object->id . '</td></tr>';
 
 		// Type of event
 		if (getDolGlobalString('AGENDA_USE_EVENT_TYPE') && $object->elementtype != "ticket") {
-			print '<tr><td class="fieldrequired">'.$langs->trans("Type").'</td><td colspan="3">';
+			print '<tr><td class="fieldrequired">' . $langs->trans("Type") . '</td><td colspan="3">';
 			if ($object->type_code != 'AC_OTH_AUTO') {
 				print img_picto($langs->trans("ActionType"), 'square', 'class="fawidth30 inline-block" style="color: #ddd;"');
 				print $formactions->select_type_actions(GETPOST("actioncode", 'aZ09') ? GETPOST("actioncode", 'aZ09') : $object->type_code, "actioncode", "systemauto", 0, 0, 0, 1);
 			} else {
-				print '<input type="hidden" name="actioncode" value="'.$object->type_code.'">';
+				print '<input type="hidden" name="actioncode" value="' . $object->type_code . '">';
 				print $object->getTypePicto();
-				print $langs->trans("Action".$object->type_code);
+				print $langs->trans("Action" . $object->type_code);
 			}
 			print '</td></tr>';
 		}
 
 		// Private
 		if ($object->elementtype == 'ticket') {
-			print '<tr><td>'.$langs->trans("MarkMessageAsPrivate");
-			print ' '.$form->textwithpicto('', $langs->trans("TicketMessagePrivateHelp"), 1, 'help');
-			print '</td><td colspan="3"><input type="checkbox" id="private" name="private" '.(preg_match('/^TICKET_MSG_PRIVATE/', $object->code) ? ' checked' : '').'></td></tr>';
+			print '<tr><td>' . $langs->trans("MarkMessageAsPrivate");
+			print ' ' . $form->textwithpicto('', $langs->trans("TicketMessagePrivateHelp"), 1, 'help');
+			print '</td><td colspan="3"><input type="checkbox" id="private" name="private" ' . (preg_match('/^TICKET_MSG_PRIVATE/', $object->code) ? ' checked' : '') . '></td></tr>';
 		}
 
 		// Title
-		print '<tr><td'.(!getDolGlobalString('AGENDA_USE_EVENT_TYPE') ? ' class="fieldrequired titlefieldcreate"' : '').'>'.$langs->trans("Title").'</td><td colspan="3"><input type="text" name="label" class="soixantepercent" value="'.$object->label.'"></td></tr>';
+		print '<tr><td' . (!getDolGlobalString('AGENDA_USE_EVENT_TYPE') ? ' class="fieldrequired titlefieldcreate"' : '') . '>' . $langs->trans("Title") . '</td><td colspan="3"><input type="text" name="label" class="soixantepercent" value="' . $object->label . '"></td></tr>';
 
 		// Full day event
-		print '<tr><td><span class="fieldrequired">'.$langs->trans("Date").'</span></td><td colspan="3" class="valignmiddle height30 small">';
-		print '<input '.($caneditdateorowner ? '' : ' disabled').' type="checkbox" id="fullday" name="fullday" '.($object->fulldayevent ? ' checked' : '').'>';
-		print '<label for="fullday">'.$langs->trans("EventOnFullDay").'</label>';
+		print '<tr><td><span class="fieldrequired">' . $langs->trans("Date") . '</span></td><td colspan="3" class="valignmiddle height30 small">';
+		print '<input ' . ($caneditdateorowner ? '' : ' disabled') . ' type="checkbox" id="fullday" name="fullday" ' . ($object->fulldayevent ? ' checked' : '') . '>';
+		print '<label for="fullday">' . $langs->trans("EventOnFullDay") . '</label>';
 
 		// // Recurring event
 		// $userepeatevent = (getDolGlobalInt('MAIN_FEATURES_LEVEL') == 2 ? 1 : 0);
@@ -2144,8 +2331,8 @@
 					'type' => 'user',
 					//'transparency'=>$object->userassigned[$user->id]['transparency'],
 					'transparency' => $object->transparency, // Force transparency on ownerfrom event
-					'answer_status' => (isset($object->userassigned[$object->userownerid]['answer_status']) ? $object->userassigned[$object->userownerid]['answer_status']: null),
-					'mandatory' => (isset($object->userassigned[$object->userownerid]['mandatory']) ? $object->userassigned[$object->userownerid]['mandatory']:null)
+					'answer_status' => (isset($object->userassigned[$object->userownerid]['answer_status']) ? $object->userassigned[$object->userownerid]['answer_status'] : null),
+					'mandatory' => (isset($object->userassigned[$object->userownerid]['mandatory']) ? $object->userassigned[$object->userownerid]['mandatory'] : null)
 				);
 			}
 			if (!empty($object->userassigned)) {	// Now concat assigned users
@@ -2167,7 +2354,7 @@
 		$listofcontactid = $object->socpeopleassigned; // Contact assigned
 		$listofotherid = $object->otherassigned; // Other undefined email (not used yet)
 
-		print '<tr><td class="tdtop nowrap fieldrequired">'.$langs->trans("ActionAssignedTo").'</td><td colspan="3">';
+		print '<tr><td class="tdtop nowrap fieldrequired">' . $langs->trans("ActionAssignedTo") . '</td><td colspan="3">';
 		print '<div class="assignedtouser">';
 		print $form->select_dolusers_forevent(($action == 'create' ? 'add' : 'update'), 'assignedtouser', 1, array(), 0, '', array(), 0, 0, 0, 'u.statut:<>:0', 1, $listofuserid, $listofcontactid, $listofotherid, $caneditdateorowner);
 		print '</div>';
@@ -2181,18 +2368,18 @@
 
 		// Location
 		if (!getDolGlobalString('AGENDA_DISABLE_LOCATION')) {
-			print '<tr><td>'.$langs->trans("Location").'</td><td colspan="3"><input type="text" name="location" class="minwidth300 maxwidth150onsmartphone" value="'.$object->location.'"></td></tr>';
+			print '<tr><td>' . $langs->trans("Location") . '</td><td colspan="3"><input type="text" name="location" class="minwidth300 maxwidth150onsmartphone" value="' . $object->location . '"></td></tr>';
 		}
 
 		// Status
-		print '<tr><td class="nowrap">'.$langs->trans("Status").' / '.$langs->trans("Percentage").'</td><td colspan="3">';
+		print '<tr><td class="nowrap">' . $langs->trans("Status") . ' / ' . $langs->trans("Percentage") . '</td><td colspan="3">';
 		$percent = GETPOSTISSET("percentage") ? GETPOSTINT("percentage") : $object->percentage;
 		$formactions->form_select_status_action('formaction', $percent, 1, 'complete', 0, 0, 'maxwidth200');
 		print '</td></tr>';
 
 		// Tags-Categories
 		if (isModEnabled('category')) {
-			print '<tr><td>'.$langs->trans("Categories").'</td><td colspan="3">';
+			print '<tr><td>' . $langs->trans("Categories") . '</td><td colspan="3">';
 			$cate_arbo = $form->select_all_categories(Categorie::TYPE_ACTIONCOMM, '', 'parent', 64, 0, 3);
 			$c = new Categorie($db);
 			$cats = $c->containing($object->id, Categorie::TYPE_ACTIONCOMM);
@@ -2200,7 +2387,7 @@
 			foreach ($cats as $cat) {
 				$arrayselected[] = $cat->id;
 			}
-			print img_picto('', 'category').$form->multiselectarray('categories', $cate_arbo, $arrayselected, 0, 0, 'quatrevingtpercent widthcentpercentminusx', 0, 0);
+			print img_picto('', 'category') . $form->multiselectarray('categories', $cate_arbo, $arrayselected, 0, 0, 'quatrevingtpercent widthcentpercentminusx', 0, 0);
 			print "</td></tr>";
 		}
 
@@ -2214,19 +2401,19 @@
 
 		if (isModEnabled("societe")) {
 			// Related company
-			print '<tr><td class="titlefieldcreate">'.$langs->trans("ActionOnCompany").'</td>';
+			print '<tr><td class="titlefieldcreate">' . $langs->trans("ActionOnCompany") . '</td>';
 			print '<td>';
 			print '<div>';
 			$events = array(); // 'method'=parameter action of url, 'url'=url to call that return new list of contacts
-			$events[] = array('method' => 'getContacts', 'url' => dol_buildpath('/core/ajax/contacts.php?showempty=1&token='.currentToken(), 1), 'htmlname' => 'contactid', 'params' => array('add-customer-contact' => 'disabled'));
+			$events[] = array('method' => 'getContacts', 'url' => dol_buildpath('/core/ajax/contacts.php?showempty=1&token=' . currentToken(), 1), 'htmlname' => 'contactid', 'params' => array('add-customer-contact' => 'disabled'));
 			// TODO Refresh also list of project if conf PROJECT_ALLOW_TO_LINK_FROM_OTHER_COMPANY not defined with list linked to socid ?
 			// FIXME If we change company, we may get a project that does not match
-			print img_picto('', 'company', 'class="pictofixedwidth"').$form->select_company($object->socid, 'socid', '', 'SelectThirdParty', 1, 0, $events, 0, 'minwidth300');
+			print img_picto('', 'company', 'class="pictofixedwidth"') . $form->select_company($object->socid, 'socid', '', 'SelectThirdParty', 1, 0, $events, 0, 'minwidth300');
 			print '</div>';
 			print '</td></tr>';
 
 			// Related contact
-			print '<tr><td>'.$langs->trans("ActionOnContact").'</td><td>';
+			print '<tr><td>' . $langs->trans("ActionOnContact") . '</td><td>';
 			print '<div class="maxwidth200onsmartphone">';
 
 			print img_picto('', 'contact', 'class="paddingrightonly"');
